function f = rosenbrock1(x)
  %
  % A version of the Rosenbrock function which takes a column
  % 2-vector instead of two distinct arguments. See rosenbrock.m for
  % more information.
  %
  if (length(x) == 2)
    f = rosenbrock(x(1), x(2));
  else
    f = NA;
  end
end
